uniform sampler2D tex;
varying vec3 normal;
void main()
{
	float angle = dot(vec3(0.0, 0.0, -1.0), normal);
	vec3 color = angle*texture2D(tex, gl_TexCoord[0].st).rgb;
	gl_FragColor = vec4(color, 1.0);
//  gl_FragColor = texture2D(tex,gl_TexCoord[0].st);
}

